<?php

if (!defined("IN_MYBB"))
{
	die("Plik ten nie może być dostępny bezpośrednio.");
}

$plugins->add_hook('index_start', 'kontaktwpanelu');

function kontaktwpanelu_info() {
	return array(
		"name"			=>	"Kontakt w panelu bocznym",
		"description"	=>	"Plugin dodaje tabelę kontaktu, zaleca się dodanie go do panelu bocznego.",
		"website"		=>	"https://mybboard.pl/uzytkownik-fyeem_36883",
		"author"		=>	"Fyeem",
		"authorsite"	=>	"https://mybboard.pl/uzytkownik-fyeem_36883",
		"version"		=>	"3.2",
		"compatibility" =>  "18*"
	);
}

function kontaktwpanelu_activate() {
	global $db, $mybb;

	$insert_array22 = array(
    	'title' => 'kontaktwpanelu',
    	'template' => $db->escape_string('<table border="0" cellspacing="0" cellpadding="5" class="tborder">
	<tbody>
		<tr><td class="thead">{$mybb->settings[\'nazwa_kontaktu\']}</td></tr>
		{$kontaktwpanelurow}
	</tbody>
</table>'),
    	'sid' => '-1',
    	'version' => '',
    	'dateline' => time()
	);
	$db->insert_query('templates', $insert_array22);

 	$insert_array33 = array(
    	'title' => 'kontaktwpanelurow',
    	'template' => $db->escape_string('<tr><td class="trow1"><center>{+}contact_avatar|{$Admin[0]}{-}
	<span style="font-size:18px;">{$user[\'profilelink\']}</span>
	<br /><span style="font-size:11px;"><img src="/images/firstf/gg.png" /> GG: {$Admin[1]}</span> {$steam} {$skype}
	<div class="gg">
		<a href="gg:{$Admin[1]}">
			<img src="http://status.gadu-gadu.pl/users/status.asp?id={$Admin[1]}&amp;styl=3" style="height: 32px; width:143;" />
		</a>
	</div><br />
</center></td> </tr>'),
    	'sid' => '-1',
   		'version' => '',
    	'dateline' => time()
	);
	$db->insert_query('templates', $insert_array33);

	$kontaktwpanelu_group_settings = array(
		"gid"               => NULL,
		"name"              => "kontaktwpanelu_option_category",
		"title"             => "Kontakt w panelu bocznym",
		"description"       => "Skonfiguruj swój panel kontaktu.",
		"disporder"         => "50",
		"isdefault"         => "yes"
	);
	$db->insert_query("settinggroups", $kontaktwpanelu_group_settings);

	$gid = $db->insert_id();
	$option_1 = array(
        "sid"               => NULL,
        "name"              => "kontaktwpanelu_enabled",
        "title"             => "Plugin włączony/wyłączony",
        "description"       => "Włącz lub wyłącz plugin.</b>",
        "optionscode"       => "yesno",
        "value"             => "yes",
		"isdefault"         => "yes",
        "disporder"         => "1",
        "gid"               => intval($gid)
	);
	$db->insert_query("settings", $option_1);


	$option_2 = array(
        "sid"               => NULL,
        "name"              => "nazwa_kontaktu",
        "title"             => "Nazwa panelu kontaktu",
        "description"       => "Wpisz nazwą swojego panelu kontaktu.",
        "optionscode"       => "text",
        "value"             => 'Kontakt',
		"isdefault"         => "yes",
        "disporder"         => "2",
        "gid"               => intval($gid)
	);
	$db->insert_query("settings", $option_2);

	$option_3 = array(
        "sid"               => NULL,
        "name"              => "kontaktwpanelu_daneadminow",
        "title"             => "ID użytkownika i numer GG",
        "description"       => "Uzupełnij to według wzoru: <b>ID_użytkownika Numer_GG Steam Skype</b> - Jeśli jest więcej użytkowników, których chcesz dodać do panelu niż 1, na końcu linijki z danymi pierwszego użytkownika dodawanego, umieść przecinek: <b>ID_użytkownika Numer_GG Steam Skype,</b> i bez spacji podaj dane kolejnej osoby.<br>
		W przypadku gdy chcemy pominąć Steam, dajemy dwie spacje i <span style=\"color:red; font-weight:bold\">następną formę kontaktu</span> (lub nic podajemy nic i nie dodajemy spacji - <b>ID GG</b>), np. <b>ID GG &nbsp;<span style=\"color:red\">Skype</span></b>",
        "optionscode"       => "textarea",
        "value"             => 'ID_użytkownika Numer_GG Steam Skype',
		"isdefault"         => "yes",
        "disporder"         => "3",
        "gid"               => intval($gid)
	);
	$db->insert_query("settings", $option_3);
	rebuild_settings();
}


function kontaktwpanelu_deactivate() {
	global $db, $mybb;
	$db->delete_query("templates", "title = 'kontaktwpanelu'");
	$db->delete_query("templates", "title = 'kontaktwpanelurow'");

	$db->delete_query('settinggroups', 'name = "kontaktwpanelu_option_category"');
	$db->delete_query('settings', 'name IN("kontaktwpanelu_enabled, nazwa_kontaktu, kontaktwpanelu_daneadminow")');
 	rebuild_settings();

	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets('index', '#(\n?){\$kontaktwpanelu}#', '', 0);
}

function kontaktwpanelu() {
	global $mybb, $kontaktwpanelu, $templates;

	if ($mybb->settings['kontaktwpanelu_enabled'] == 1) {
		$DaneAdminow = explode(",", $mybb->settings['kontaktwpanelu_daneadminow']);
		foreach ($DaneAdminow as $DaneAdmina) {
			$Admin = explode(" ", $DaneAdmina);
			$user = get_user($Admin[0]);
			$user['username'] = format_name($user['username'], $user['usergroup'], $user['displaygroup']);
			$user['profilelink'] = build_profile_link($user['username'], $user['uid']);
			$steam = NULL;
			$skype = NULL;
			if (!empty($Admin[2])) $steam = "<br /><span style=\"font-size:11px;\"><img src=\"/images/firstf/steam.png\" /> Steam: {$Admin[2]}</span>";
			if (!empty($Admin[3])) $skype = "<br /><span style=\"font-size:11px;\"><img src=\"/images/firstf/skype.png\" /> Skype: {$Admin[3]}</span>";

    		eval("\$kontaktwpanelurow .= \"".$templates->get("kontaktwpanelurow")."\";");
		}

		eval("\$kontaktwpanelu = \"".$templates->get("kontaktwpanelu")."\";");
	}
}
?>